<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'fish_aquarium_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'fish-aquarium' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fish_aquarium_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'fish-aquarium' ) . '</h3>',
		'priority'    => 10,
	] );

  Kirki::add_field( 'theme_config_id', [
			'type'        => 'switch',
			'settings'    => 'fish_aquarium_display_header_title',
			'label'       => esc_html__( 'Site Title Enable / Disable Button', 'fish-aquarium' ),
			'section'     => 'title_tagline',
			'default'     => '1',
			'priority'    => 10,
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'fish-aquarium' ),
				'off' => esc_html__( 'Disable', 'fish-aquarium' ),
			],
		] );

	Kirki::add_field( 'theme_config_id', [
			'type'        => 'switch',
			'settings'    => 'fish_aquarium_display_header_text',
			'label'       => esc_html__( 'Tagline Enable / Disable Button', 'fish-aquarium' ),
			'section'     => 'title_tagline',
			'default'     => false,
			'priority'    => 10,
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'fish-aquarium' ),
				'off' => esc_html__( 'Disable', 'fish-aquarium' ),
			],
		] );

		// FONT STYLE TYPOGRAPHY

	Kirki::add_panel( 'fish_aquarium_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Typography', 'fish-aquarium' ),
	) );

	Kirki::add_section( 'fish_aquarium_font_style_section', array(
		'title'      => esc_attr__( 'Typography Option',  'fish-aquarium' ),
		'priority'   => 2,
		'capability' => 'edit_theme_options',
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fish_aquarium_all_headings_typography',
		'section'     => 'fish_aquarium_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'fish-aquarium' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'fish_aquarium_all_headings_typography',
		'label'       => esc_attr__( 'Heading Typography',  'fish-aquarium' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'fish-aquarium' ),
		'section'     => 'fish_aquarium_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fish_aquarium_body_content_typography',
		'section'     => 'fish_aquarium_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'fish-aquarium' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'fish_aquarium_body_content_typography',
		'label'       => esc_attr__( 'Content Typography',  'fish-aquarium' ),
		'description' => esc_attr__( 'Select the typography options for your content.',  'fish-aquarium' ),
		'section'     => 'fish_aquarium_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
	) );

	// PANEL

	Kirki::add_panel( 'fish_aquarium_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'fish-aquarium' ),
	) );

	// Additional Settings

	Kirki::add_section( 'fish_aquarium_additional_settings', array(
	    'title'          => esc_html__( 'Additional Settings', 'fish-aquarium' ),
	    'description'    => esc_html__( 'Scroll To Top', 'fish-aquarium' ),
	    'panel'          => 'fish_aquarium_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'fish_aquarium_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_additional_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'fish_aquarium_scroll_top_position',
		'label'       => esc_html__( 'Alignment for Scroll To Top', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_additional_settings',
		'default'     => 'Right',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'fish-aquarium' ),
			'Center' => esc_html__( 'Center', 'fish-aquarium' ),
			'Right'  => esc_html__( 'Right', 'fish-aquarium' ),
		],
	]
	);

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'dashicons',
		'settings' => 'fish_aquarium_scroll_top_icon',
		'label'    => esc_html__( 'Select Appropriate Scroll Top Icon', 'fish-aquarium' ),
		'section'  => 'fish_aquarium_additional_settings',
		'default'  => 'dashicons dashicons-arrow-up-alt',
		'priority' => 10,
	] );

	new \Kirki\Field\Select([
		'settings'    => 'menu_text_transform_fish_aquarium',
		'label'       => esc_html__( 'Menus Text Transform', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_additional_settings',
		'default'     => 'CAPITALISE',
		'placeholder' => esc_html__( 'Choose an option', 'fish-aquarium' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'fish-aquarium' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'fish-aquarium' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'fish-aquarium' ),

		],
	]);

	new \Kirki\Field\Select(
	[
		'settings'    => 'fish_aquarium_menu_zoom',
		'label'       => esc_html__( 'Menu Transition', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_additional_settings',
		'default' => 'None',
		'placeholder' => esc_html__( 'Choose an option', 'fish-aquarium' ),
		'choices'     => [
			'None' => __('None','fish-aquarium'),
            'Zoominn' => __('Zoom Inn','fish-aquarium'),
            
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'fish_aquarium_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_additional_settings',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'fish_aquarium_site_loader',
		'label'       => esc_html__( 'Here you can enable or disable your Site Loader.', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fish_aquarium_page_layout',
		'label'       => esc_html__( 'Page Layout Setting', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_additional_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'fish-aquarium' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','fish-aquarium'),
            'Right Sidebar' => __('Right Sidebar','fish-aquarium'),
            'One Column' => __('One Column','fish-aquarium')
		],
	] );

	if ( class_exists("woocommerce")){

	// Woocommerce Settings

	Kirki::add_section( 'fish_aquarium_woocommerce_settings', array(
			'title'          => esc_html__( 'Woocommerce Settings', 'fish-aquarium' ),
			'description'    => esc_html__( 'Shop Page', 'fish-aquarium' ),
			'panel'          => 'fish_aquarium_panel_id',
			'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'fish_aquarium_shop_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable shop page sidebar.', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'fish_aquarium_product_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable product page sidebar.', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'fish_aquarium_related_product_setting',
		'label'       => esc_html__( 'Here you can enable or disable your related products.', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_woocommerce_settings',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Number(
	[
		'settings' => 'fish_aquarium_per_columns',
		'label'    => esc_html__( 'Product Per Row', 'fish-aquarium' ),
		'section'  => 'fish_aquarium_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'fish_aquarium_product_per_page',
		'label'    => esc_html__( 'Product Per Page', 'fish-aquarium' ),
		'section'  => 'fish_aquarium_woocommerce_settings',
		'default'  => 9,
		'choices'  => [
			'min'  => 1,
			'max'  => 15,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number_per_row',
		'label'    => esc_html__( 'Related Product Per Column', 'fish-aquarium' ),
		'section'  => 'fish_aquarium_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number',
		'label'    => esc_html__( 'Related Product Per Page', 'fish-aquarium' ),
		'section'  => 'fish_aquarium_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'fish_aquarium_shop_page_layout',
		'label'       => esc_html__( 'Shop Page Layout Setting', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'fish-aquarium' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','fish-aquarium'),
            'Right Sidebar' => __('Right Sidebar','fish-aquarium')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fish_aquarium_product_page_layout',
		'label'       => esc_html__( 'Product Page Layout Setting', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'fish-aquarium' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','fish-aquarium'),
            'Right Sidebar' => __('Right Sidebar','fish-aquarium')
		],
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'fish_aquarium_woocommerce_pagination_position',
		'label'       => esc_html__( 'Woocommerce Pagination Alignment', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_woocommerce_settings',
		'default'     => 'Center',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'fish-aquarium' ),
			'Center' => esc_html__( 'Center', 'fish-aquarium' ),
			'Right'  => esc_html__( 'Right', 'fish-aquarium' ),
		],
	]
	);
}

	// POST SECTION

	Kirki::add_section( 'fish_aquarium_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'fish-aquarium' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'fish-aquarium' ),
	    'panel'          => 'fish_aquarium_panel_id',
	    'priority'       => 160,
	) );

	new \Kirki\Field\Sortable(
	[
		'settings' => 'fish_aquarium_archive_element_sortable',
		'label'    => __( 'Archive Post Page element Reordering', 'fish-aquarium' ),
		'section'  => 'fish_aquarium_section_post',
		'default'  => [ 'option1', 'option2', 'option3' ],
		'choices'  => [
			'option1' => esc_html__( 'Post Meta', 'fish-aquarium' ),
			'option2' => esc_html__( 'Post Title', 'fish-aquarium' ),
			'option3' => esc_html__( 'Post Content', 'fish-aquarium' ),
		],
	]
	);

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'fish_aquarium_post_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_section_post',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'fish_aquarium_pagination_setting',
		'label'       => esc_html__( 'Here you can enable or disable your Pagination.', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_section_post',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fish_aquarium_archive_sidebar_layout',
		'label'       => esc_html__( 'Archive Post Sidebar Layout Setting', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'fish-aquarium' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','fish-aquarium'),
            'Right Sidebar' => __('Right Sidebar','fish-aquarium')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fish_aquarium_single_post_sidebar_layout',
		'label'       => esc_html__( 'Single Post Sidebar Layout Setting', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'fish-aquarium' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','fish-aquarium'),
            'Right Sidebar' => __('Right Sidebar','fish-aquarium')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fish_aquarium_search_sidebar_layout',
		'label'       => esc_html__( 'Search Page Sidebar Layout Setting', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'fish-aquarium' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','fish-aquarium'),
            'Right Sidebar' => __('Right Sidebar','fish-aquarium')
		],
	] );

	Kirki::add_field( 'fish_aquarium_config', [
		'type'        => 'select',
		'settings'    => 'fish_aquarium_post_column_count',
		'label'       => esc_html__( 'Grid Column for Archive Page', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_section_post',
		'default'    => '2',
		'choices' => [
				'1' => __( '1 Column', 'fish-aquarium' ),
				'2' => __( '2 Column', 'fish-aquarium' ),
				'3' => __( '3 Column', 'fish-aquarium' ),
				'4' => __( '4 Column', 'fish-aquarium' ),
			],
	] );

	// Breadcrumb
	Kirki::add_section( 'fish_aquarium_bradcrumb', array(
	    'title'          => esc_html__( 'Breadcrumb Settings', 'fish-aquarium' ),
	    'description'    => esc_html__( 'Here you can get Breadcrumb settings', 'fish-aquarium' ),
	    'panel'          => 'fish_aquarium_panel_id',
	    'priority'       => 160,
	) );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fish_aquarium_enable_breadcrumb_heading',
		'section'     => 'fish_aquarium_bradcrumb',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Single Page Breadcrumb', 'fish-aquarium' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fish_aquarium_breadcrumb_enable',
		'label'       => esc_html__( 'Breadcrumb Enable / Disable', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_bradcrumb',
		'default'     => true,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fish-aquarium' ),
			'off' => esc_html__( 'Disable', 'fish-aquarium' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'default'     => '/',
        'settings' => 'fish_aquarium_breadcrumb_separator' ,
        'label'    => esc_html__( 'Breadcrumb Separator',  'fish-aquarium' ),
        'section'  => 'fish_aquarium_bradcrumb',
    ] );

	// HEADER SECTION

	Kirki::add_section( 'fish_aquarium_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'fish-aquarium' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'fish-aquarium' ),
	    'panel'          => 'fish_aquarium_panel_id',
	    'priority'       => 160,
	) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fish_aquarium_button_heading',
		'section'     => 'fish_aquarium_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Header Button', 'fish-aquarium' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'       => esc_html__( 'Button Text', 'fish-aquarium' ),
		'settings' => 'fish_aquarium_header_btn_text',
		'section'  => 'fish_aquarium_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'url',
		'label'       => esc_html__( 'Button URL', 'fish-aquarium' ),
		'settings' => 'fish_aquarium_header_btn_url',
		'section'  => 'fish_aquarium_section_header',
		'default'  => '',
	] );

	// SLIDER SECTION

	Kirki::add_section( 'fish_aquarium_blog_slide_section', array(
        'title'          => esc_html__( ' Slider Settings', 'fish-aquarium' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'fish-aquarium' ),
        'panel'          => 'fish_aquarium_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fish_aquarium_enable_heading',
		'section'     => 'fish_aquarium_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'fish-aquarium' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fish_aquarium_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fish-aquarium' ),
			'off' => esc_html__( 'Disable', 'fish-aquarium' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fish_aquarium_title_unable_disable',
		'label'       => esc_html__( 'Slide Title Enable / Disable', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fish-aquarium' ),
			'off' => esc_html__( 'Disable', 'fish-aquarium' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fish_aquarium_slider_heading',
		'section'     => 'fish_aquarium_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'fish-aquarium' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'fish_aquarium_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_blog_slide_section',
		'default'     => 3,
		'choices'     => [
			'min'  => 0,
			'max'  => 5,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'fish_aquarium_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'fish-aquarium' ),
		'priority'    => 10,
		'choices'     => fish_aquarium_get_categories_select(),
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fish_aquarium_slider_opacity_color',
		'label'       => esc_html__( 'Slider Opacity Option', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_blog_slide_section',
		'default'     => '0.6',
		'placeholder' => esc_html__( 'Choose an option', 'fish-aquarium' ),
		'choices'     => [
			'0' => esc_html__( '0', 'fish-aquarium' ),
			'0.1' => esc_html__( '0.1', 'fish-aquarium' ),
			'0.2' => esc_html__( '0.2', 'fish-aquarium' ),
			'0.3' => esc_html__( '0.3', 'fish-aquarium' ),
			'0.4' => esc_html__( '0.4', 'fish-aquarium' ),
			'0.5' => esc_html__( '0.5', 'fish-aquarium' ),
			'0.6' => esc_html__( '0.6', 'fish-aquarium' ),
			'0.7' => esc_html__( '0.7', 'fish-aquarium' ),
			'0.8' => esc_html__( '0.8', 'fish-aquarium' ),
			'0.9' => esc_html__( '0.9', 'fish-aquarium' ),
			'1.0' => esc_html__( '1.0', 'fish-aquarium' ),
			

		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fish_aquarium_overlay_option',
		'label'       => esc_html__( 'Enable / Disable Slider Overlay', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fish-aquarium' ),
			'off' => esc_html__( 'Disable', 'fish-aquarium' ),
		],
	] );

	//FEATURED PRODUCT SECTION

	Kirki::add_section( 'fish_aquarium_featured_product_section', array(
	    'title'          => esc_html__( 'Featured Product Settings', 'fish-aquarium' ),
	    'panel'          => 'fish_aquarium_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fish_aquarium_enable_heading',
		'section'     => 'fish_aquarium_featured_product_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Featured Product',  'fish-aquarium' ) . '</h3>',
		'priority'    => 1,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fish_aquarium_featured_product_section_enable',
		'label'       => esc_html__( 'Section Enable / Disable',  'fish-aquarium' ),
		'section'     => 'fish_aquarium_featured_product_section',
		'default'     => false,
		'priority'    => 2,
		'choices'     => [
			'on'  => esc_html__( 'Enable',  'fish-aquarium' ),
			'off' => esc_html__( 'Disable',  'fish-aquarium' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'fish_aquarium_featured_product_heading' ,
        'label'    => esc_html__( 'Heading',  'fish-aquarium' ),
        'section'  => 'fish_aquarium_featured_product_section',
    ] );

	// FOOTER SECTION

	Kirki::add_section( 'fish_aquarium_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'fish-aquarium' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'fish-aquarium' ),
        'panel'          => 'fish_aquarium_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fish_aquarium_footer_enable_heading',
		'section'     => 'fish_aquarium_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'fish-aquarium' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fish_aquarium_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fish-aquarium' ),
			'off' => esc_html__( 'Disable', 'fish-aquarium' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fish_aquarium_footer_text_heading',
		'section'     => 'fish_aquarium_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'fish-aquarium' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'fish_aquarium_footer_text',
		'section'  => 'fish_aquarium_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'fish_aquarium_footer_text_heading_2',
	'section'     => 'fish_aquarium_footer_section',
	'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Alignment', 'fish-aquarium' ) . '</h3>',
	'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fish_aquarium_copyright_text_alignment',
		'label'       => esc_html__( 'Copyright text Alignment', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_footer_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'fish-aquarium' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'fish-aquarium' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'fish-aquarium' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'fish-aquarium' ),

		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'fish_aquarium_footer_text_heading_1',
	'section'     => 'fish_aquarium_footer_section',
	'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Background Color', 'fish-aquarium' ) . '</h3>',
	'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'fish_aquarium_copyright_bg',
		'label'       => __( 'Choose Your Copyright Background Color', 'fish-aquarium' ),
		'section'     => 'fish_aquarium_footer_section',
		'default'     => '',
	] );
}

add_action( 'customize_register', 'fish_aquarium_customizer_settings' );
function fish_aquarium_customizer_settings( $wp_customize ) {
	$fish_aquarium_args = array(
       'type'                     => 'product',
        'child_of'                 => 0,
        'parent'                   => '',
        'orderby'                  => 'term_group',
        'order'                    => 'ASC',
        'hide_empty'               => false,
        'hierarchical'             => 1,
        'number'                   => '',
        'taxonomy'                 => 'product_cat',
        'pad_counts'               => false
    );
	$categories = get_categories($fish_aquarium_args);
	$cat_posts = array();
	$m = 0;
	$cat_posts[]='Select';
	foreach($categories as $category){
		if($m==0){
			$default = $category->slug;
			$m++;
		}
		$cat_posts[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('fish_aquarium_featured_product_category',array(
		'default'	=> 'select',
		'sanitize_callback' => 'fish_aquarium_sanitize_select',
	));
	$wp_customize->add_control('fish_aquarium_featured_product_category',array(
		'type'    => 'select',
		'choices' => $cat_posts,
		'label' => __('Select category to display products ','fish-aquarium'),
		'section' => 'fish_aquarium_featured_product_section',
	));
}
